package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.FlowVarInst;

import java.util.List;

/**
 * 流程变量Mapper接口
 *
 * @author cmc
 * @date 2024-07-26
 */
public interface FlowVarInstMapper
{
    /**
     * 通过变量值查询流程实例id
     *
     * @param formId 表单id
     * @return 流程变量
     */
    public List<FlowVarInst> selectProcInstByVar(String formId);

    /**
     * 通过流程实例id查询表单id
     *
     * @param procInsId 流程实例id
     * @return 流程变量
     */
    public FlowVarInst selectVarByProcInsId(String procInsId);

}
