INSERT INTO sys_menu VALUES (22, '公司培训', 6, 6, 'train', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'table', 'admin', SYSDATE(), '', NULL, '培训记录菜单');
INSERT INTO sys_menu VALUES (163, '培训记录', 22, 1, 'train', 'oa/train/index', NULL, 1, 0, 'C', '0', '0', 'oa:train:list', 'table', 'admin', SYSDATE(), '', NULL, '培训记录菜单');
INSERT INTO sys_menu VALUES (1230, '培训记录查询', 163, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'oa:train:query', '#', 'admin', '2024-09-25 16:44:11', '', NULL, '');
INSERT INTO sys_menu VALUES (1231, '培训记录新增', 163, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'oa:train:add', '#', 'admin', '2024-09-25 16:44:11', '', NULL, '');
INSERT INTO sys_menu VALUES (1232, '培训记录修改', 163, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'oa:train:edit', '#', 'admin', '2024-09-25 16:44:11', '', NULL, '');
INSERT INTO sys_menu VALUES (1233, '培训记录删除', 163, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'oa:train:remove', '#', 'admin', '2024-09-25 16:44:11', '', NULL, '');
INSERT INTO sys_menu VALUES (1234, '培训记录导出', 163, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'oa:train:export', '#', 'admin', '2024-09-25 16:44:11', '', NULL, '');
DROP TABLE IF EXISTS `cmc_train`;
CREATE TABLE `cmc_train`  (
  `train_id` int NOT NULL AUTO_INCREMENT COMMENT '培训记录id',
  `name` varchar(100) DEFAULT NULL COMMENT '培训名称',
  `place` varchar(100) DEFAULT NULL COMMENT '培训地点',
  `organizer` varchar(50) DEFAULT NULL COMMENT '组织者',
  `num` int DEFAULT NULL COMMENT '人数',
  `participates` varchar(255) DEFAULT NULL COMMENT '参培人员',
  `begin_date` date DEFAULT NULL COMMENT '开始时间',
  `end_date` date DEFAULT NULL COMMENT '结束时间',
  PRIMARY KEY (`train_id`)
) ENGINE = InnoDB comment='cmc培训记录表';
INSERT INTO cmc_train VALUES (1, '执行力培训', '居家网络培训', '李禺', 10, '刘楠、黄梅琳、贾春华、周全、何杰、李禺、赵洪、吴振、杨振、张进', '2020-03-03', '2020-03-09');
INSERT INTO cmc_train VALUES (2, '成都市工伤保险培训', '成都锦江澜岸酒店', '徐婷', 1, '徐婷', '2021-04-13', '2021-04-16');
INSERT INTO cmc_train VALUES (3, '智和商学-执行方略', '成都锦城原舍酒店', '向艳雄', 4, '向艳雄、周全、何杰、赵洪', '2021-05-14', '2021-05-15');
INSERT INTO cmc_train VALUES (4, '智和商学-项目管理', '成都九天国际大酒店', '向艳雄', 1, '李胜才', '2021-07-16', '2021-07-17');
INSERT INTO cmc_train VALUES (5, '商务沟通与冲突管理', '通威国际中心', '向艳雄', 5, '刘光庆、樊宽林、陈洪、贾春华、黄梅琳', '2021-09-04', '2021-09-04');
INSERT INTO cmc_train VALUES (6, '新结构经济学视角下的产业升级', '通威国际中心', '向艳雄', 3, '向发廷、刘光庆、刘非', '2021-09-11', '2021-09-11');
INSERT INTO cmc_train VALUES (7, '企业风险管理与内部控制案例与实务', '祥宇宾馆', '向艳雄', 1, '李禺', '2021-09-25', '2021-09-25');
INSERT INTO cmc_train VALUES (8, '业务培训', '成都市公积金中心', '徐婷', 1, '徐婷\r\n', '2021-09-16', '2021-09-17');
INSERT INTO cmc_train VALUES (9, '安全管理人员取证培训', '四川省建筑设计院', '张明勇', 34, '向发廷、刘光庆、饶兴贵、陈尚云、刘非、周全、吴凯、李锋、李旭、陈洪、向艳雄、何杰、朱静、杨卫、赵洪、周炎、张元锋、夏志军、贾春华、杨振、蒲帆、吴振、张明勇、邹帅民、张书韦、杨为康、刘洋、朱倪强、杨晶、丁亮、程昊、李胜才、马如坤、李禺', '2021-02-01', '2021-06-30');
INSERT INTO cmc_train VALUES (10, '2021秋季消防安全知识专题培训', 'C301', '张明勇', 50, '成都C座办公区全体员工及外业生产部门在成都人员', '2021-10-29', '2021-10-29');
INSERT INTO cmc_train VALUES (11, '企业管理中的法务与业务关系难题', '高新区通威国际中心5楼', '向艳雄', 3, '刘光庆、贾春华、黄梅琳', '2021-12-11', '2021-12-11');
INSERT INTO cmc_train VALUES (12, '草原确权登记', '西藏自治区拉萨市洲际酒店', '向艳雄', 4, '刘向东、杨为康、周强、许小飞', '2021-12-14', '2021-12-14');
INSERT INTO cmc_train VALUES (13, '《九段经理人》中旭教育', '泰合国际金融中心17楼会议室', '向艳雄', 5, '朱静、邹帅民、罗业华、夏志军、廖绍毅', '2022-03-11', '2022-03-12');
INSERT INTO cmc_train VALUES (14, '《自赋能新增长系统》中旭教育', '泰合国际金融中心17楼', '向艳雄', 7, '王渊、阴学军、刘非、杨卫、陈洪、贾春华、黄梅琳', '2022-05-21', '2022-05-23');
INSERT INTO cmc_train VALUES (15, '医保专题培训', '成都市宁夏街136号人才大厦4楼406室', '徐婷', 1, '徐婷\r\n', '2022-05-27', '2022-05-27');
INSERT INTO cmc_train VALUES (16, '数字赋能时代业财融合及财务BP价值创造', '成都智汇堂枫泽大酒店', '刘楠', 2, '周文婷、宋丹丹', '2022-06-23', '2022-06-24');
INSERT INTO cmc_train VALUES (17, '人事档案专题培训', '青羊区宁夏街', '徐婷', 2, '徐婷、简鑫\r\n', '2022-06-24', '2022-06-24');
INSERT INTO cmc_train VALUES (18, '工伤专题培训', '仁寿', '徐婷', 2, '张明勇、简鑫', '2022-11-07', '2022-11-11');
INSERT INTO cmc_train VALUES (19, '公司员工素养提升培训活动', 'C301', '综合事务部', 100, '在蓉员工', '2023-05-23', '2023-05-24');
INSERT INTO cmc_train VALUES (20, '新员工入职培训', 'C301', '刘非、赵洪、张明勇、简鑫', 3, '谢辉波、任虹静、廖吉兴', '2023-02-15', '2023-02-15');
INSERT INTO cmc_train VALUES (21, '公司党员集中组织学习培训', 'C216', '公司党总支', 38, '公司全体党员，特别邀请入党积极分子、公司及各部门非党员干部列席会议。', '2023-05-12', '2023-05-12');
INSERT INTO cmc_train VALUES (22, '2023年公司风险因素辨识，应急能力知识培训', '腾讯视频会议', '张明勇', 155, '公司各部门、各分（子）公司、各位员工。', '2023-05-15', '2023-05-15');
INSERT INTO cmc_train VALUES (23, '成都人才培训 2023年 精品公开课 第一期', '成都市宁夏街136号人才大厦4楼406室', '成都市人才服务中心、成都人才有限责任公司', 2, '徐婷、简鑫\r\n', '2023-03-15', '2023-03-15');
INSERT INTO cmc_train VALUES (24, '成都人才培训 医保专题培训', '人才大厦', '徐婷', 1, '简鑫', '2023-06-30', '2023-06-30');
INSERT INTO cmc_train VALUES (25, '主要负责人、安全管理人员、特种作业人员培训', '成都市创业路36号', '张明勇', 45, '向发廷、刘光庆、樊宽林、饶兴贵、阴学军、刘非、杨卫、陈洪、贾春华、吴凯、李旭、马如坤、张明勇、李胜才、向艳雄、陈尚云、朱静、蒲帆、邹帅民、赵洪、杨为康、刘轩庭、杨振、夏志军、廖绍毅、杨晶、周全、柏金川、彭永红、邓静、李春生、张鑫、段文祥、张伟、万明、王雨地、李锋、张元锋、钱俊锦、张元锋、李禺、刘洋、郑鹏、黄强、朱倪强、李沛东、黄梅琳、程昊、丁亮、刘轩庭、杨为康、邓静、吴振、廖绍毅、彭永红（低压电工）、何安（低压电工）', '2023-01-11', '2023-07-24');
INSERT INTO cmc_train VALUES (26, '2023年新员工入职培训', '301会议室', '徐婷', 10, '廖吉兴、任虹静、邓汶滨、刘智谦、何安、谢辉波、王海宾、张芳艳、黄建春、夏志斌', '2023-07-13', '2023-07-18');
INSERT INTO cmc_train VALUES (27, '社保新政策学习', '成都市二环路北一段4号成都市社保局', '成都市社保局', 2, '张明勇、简鑫', '2023-06-28', NULL);
INSERT INTO cmc_train VALUES (28, '主要负责人、安全管理人员年度培训（初训、复训、复训换证）', '四方成培训机构线上培训', '张明勇', 45, '杨卫、贾春华、张明勇、杨振、赵洪、吴振、蒲帆、向艳雄、张元锋、丁亮、刘轩庭、邓静、樊宽林、刘非、阴学军、陈洪、吴凯、朱静、柏金川、周全、黄梅琳、廖绍毅、李锋、郑鹏、黄强、刘洋、邹帅民、杨为康、冉凉南、杨晶、朱倪强、李胜才、程昊、李禺、樊宽林、李锋、柏金川、陈洪、刘光庆、邓静、钱俊锦、刘轩庭、丁亮、吴振等', '2024-01-25', '2024-05-25');
INSERT INTO cmc_train VALUES (29, '《无人驾驶航空器飞行管理暂行条例》《四川省安全生产条例》《职业健康安全事故案例分析与预防视频》及外业', '301会议室', '张明勇', 43, '测绘工程中心、航测遥感中心、工程监测中心、激光技术中心、项目管理部五部门外业人员', '2024-02-01', '2024-02-01');
INSERT INTO cmc_train VALUES (30, '《四川省安全生产条例》《职业健康安全事故案例分析与预防视频》及在建施工现场安全注意事项', '腾讯会议（302930396）', '张明勇', 57, '各测量中心和重庆分公司全体人员', '2024-02-01', '2024-02-01');
INSERT INTO cmc_train VALUES (31, '《安全生产法》重要条款学习', '腾讯会议（346364834）', '张明勇', 172, '公司、重庆分公司及各项目临聘人员', '2023-12-06', '2023-12-06');
INSERT INTO cmc_train VALUES (32, '2024年公司驾驶员培训学习', 'C301会议室腾讯会议（586410550）', '徐婷', 22, '公司领导、综合事务部徐婷、张明勇、陈建贤、简鑫、公司及分公司和各项目驾驶员', '2024-02-20', '2024-02-20');
INSERT INTO cmc_train VALUES (33, '民用无人机驾驶员培训', '成都市崇州市三足乌无人机培训基地', '刘媛媛', 1, '李泳龙', '2024-02-26', '2024-03-10');
INSERT INTO cmc_train VALUES (34, '硬笔书法培训', '线上+线下（301会议室、腾讯视频会议）', '综合事务部', NULL, '公司40岁以下员工、管理岗位所有人员', '2024-03-01', '2024-03-31');
INSERT INTO cmc_train VALUES (35, '《代际领导力--95/00后新生代柔性管理策略》', '通威国际中心', '经营管理层', 9, '刘光庆、樊宽林、陈洪、刘非、宁瑶、贾春华、刘楠、黄梅琳、李禺', '2024-03-30', '2024-03-30');
INSERT INTO cmc_train VALUES (36, '《中国的品格：阳明心学与致良知》', '通威国际中心', '经营管理层', 5, '刘非、贾春华、刘楠、黄梅琳、杨卫', '2024-04-13', '2024-04-13');
INSERT INTO cmc_train VALUES (37, '《自然资源部办公厅关于做好2024年地质勘查和测绘行业安全生产工作的通知》、《地质勘查和测绘行业安全生产', '成都办公区301会议室', '张明勇', 19, '甘雨婷、何杰、雷情情、李禺、周文婷、陈洪、段文祥、阴学军、贾春华、黄梅琳、徐婷、刘媛媛、周芝、柏金川、刘非、吴凯、樊宽林、王渊、张明勇', '2024-05-10', '2024-05-10');
INSERT INTO cmc_train VALUES (38, '企事业单位适用公文写作规范及技巧提升专题培训', '青羊区宁夏街136号成都市人才大厦', '徐婷', 2, '谢辉波、简鑫', '2024-05-24', '2024-05-24');
INSERT INTO cmc_train VALUES (39, '管理及内业岗位人员安全教育培训（生产安全事故警示教育、安全基础知识、工作及日常生活中安全注意事项、观', '301会议室', '张明勇', NULL, '公司管理岗位及内业人员', '2024-05-22', '2024-05-24');
INSERT INTO cmc_train VALUES (40, '激励性薪酬体系设计与落地', '通威国际中心', '经营管理层', 7, '樊宽林  陈洪 黄梅琳 贾春华 李禺 刘非 徐婷', '2024-05-25', '2024-05-25');
INSERT INTO cmc_train VALUES (41, '情景领导力—提升组织绩效的高效领导艺术', '通威国际中心', '经营管理层', 8, '刘光庆、陈洪、刘非、杨卫、贾春华、黄梅琳、刘楠、宁瑶', '2024-06-22', '2024-06-22');
INSERT INTO cmc_train VALUES (42, '当AI遇见Office——Office进阶之旅实操班', '锦宇书苑酒店(四川省成都市锦江区锦远路168号位于党校内', '徐婷', 1, '谢辉波', '2024-06-22', '2024-06-23');
INSERT INTO cmc_train VALUES (43, '党纪学习教育', NULL, '徐婷', 3, '王渊、徐婷、杨玉婧', '2024-06-26', '2024-06-26');